/*------------------------------------------------------------------------------
 lib/djv_ui/about_dialog.h
 
 About Dialog

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJV_UI_ABOUT_DIALOG_H
#define DJV_UI_ABOUT_DIALOG_H

#include <djv_ui/dialog.h>

namespace djv {
namespace ui {
namespace about_dialog {

class Dialog : public dialog::Base {
public:
  
  Dialog();
  
private:
  
  DJV_CALLBACK(Dialog, close_callback, bool);
  
  std::auto_ptr<Fl_Image> _image;
};

// Global.

Dialog * dialog();

void del();

}
}
}

#endif
