/*------------------------------------------------------------------------------
 lib/djv_ui/stack_layout.h
 
 Stack Layout

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJV_UI_STACK_LAYOUT_H
#define DJV_UI_STACK_LAYOUT_H

#include <djv_ui/layout.h>

namespace djv {
namespace ui {
namespace layout {

class Stack : public Layout {
public:

  Stack(Item * parent = 0);
  virtual ~Stack() {}
  
  virtual void dirty();
  virtual void resize(int, int, int, int);
  virtual Vec2i size_hint() const { return _size_hint; }
  
private:

  Vec2i _size_hint;
};

}
}
}

#endif
